SDL_GetJoystickProductVersionForID(3)

NAME
SDL_GetJoystickProductVersionForID - Get the product version of a joystick, if available.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

Uint16 SDL_GetJoystickProductVersionForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened. If the product version isn't available this function returns 0.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the product version of the selected joystick. If called with an invalid instance_id, this function returns 0.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickProductVersion(3), SDL_GetJoysticks(3)